GCLOUD_APP_VERSIONS_MIGRATE(1)

NAME

gcloud app versions migrate - migrate traffic from one version to another for a set of services

SYNOPSIS

gcloud app versions migrate VERSION [--service=SERVICE, -s SERVICE] [GLOBAL-FLAG ...]

DESCRIPTION
Migrate traffic from one version to another for a set of services.

POSITIONAL ARGUMENTS

    VERSION
        The version to migrate to.

FLAGS

    --service=SERVICE, -s SERVICE
        If specified, only migrate versions from the given service.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
This only works for automatically scaled Standard versions. To migrate from one version to another for all services where there is a version v2 and shut down the previous version, run:
    $ gcloud app versions migrate v2
To migrate from one version to another for a specific service, run:
    $ gcloud app versions migrate v2 --service="s1"